<?php
# fxcounter.php

require "./template.php";

function countit($REMOTE_ADDR, $SCRIPT_NAME, $HTTP_USER_AGENT, $block) {
	if($block == "" || $block != $REMOTE_ADDR) {
		
		if(strstr($block, ",")) {
			$blist = explode(", ", $block);
			$bcount = count($blist);
			for($i = 0; $i < $bcount; $i++) {
				if($blocked == "") {
					if($blist[$i] == $REMOTE_ADDR) {
						$blocked = "yes";
					}
				}
			}
		}   # End code for checking blocked IP list

		if($blocked == "") {
			$time = time();
			$addtofile = "$REMOTE_ADDR|$SCRIPT_NAME|$HTTP_USER_AGENT|$time\n";
			$file = fopen("hits.txt", "a");
			flock($file, 2);
			fwrite($file, $addtofile);
			fclose($file);
		}
	}
}


function generatenum($mode) {
	$filestuff = file("hits.txt");
	$hitnum = count($filestuff);

	for($i = 0; $i < $hitnum; $i++) {
		$thisrow = explode("|", $filestuff[$i]);

		if($mode == "all") {
			$hits .= "$thisrow[0]|";
		} elseif($mode == "unique" && !strstr($hits, "$thisrow[0]|")) {
			$hits .= "$thisrow[0]|";
		}
	}

	$hitsarray = explode("|", $hits);
	$hitsnum = count($hitsarray) - 1;

	if($mode == "all") {
		echo "<b>$hitsnum</b> total hits";
	} elseif($mode == "unique") {
		echo "<b>$hitsnum</b> unique hits";
	}
}


function generatepage() {
	$filestuff = file("hits.txt");
	$hitnum = count($filestuff);
	stats_header();   # Generate html for starting of stats page table
	for($i = 0; $i < $hitnum; $i++) {
		$thisrow = explode("|", $filestuff[$i]);

		if(!strstr($uniques, "$thisrow[0]|")) {
			$uniques .= "$thisrow[0]|";
		}
		
		if(!strstr($pages, "$thisrow[1]|")) {
			$pages .= "$thisrow[1]|";
		}

		if(!strstr($clients, "$thisrow[2]|")) {
			$clients .= "$thisrow[2]|";
		}
		$totalnum++;

		$thisrow[3] = date("M d Y G:i:s", $thisrow[3]);
		stats_row($thisrow[0], $thisrow[1], $thisrow[2], $thisrow[3]);   # Generate html for this hit
	}
	
	$uniquearray = explode("|", $uniques);
	$uniquenum = count($uniquearray) - 1;
	$pagearray = explode("|", $pages);
	$pagenum = count($pagearray) - 1;
	$clientarray = explode("|", $clients);
	$clientnum = count($clientarray) - 1;
	stats_footer($totalnum, $uniquenum, $pagenum, $clientnum);   # Generate html for summary and end of table
}


function resetcounter() {
	$newfile = "";
	$file = fopen("hits.txt", "w");
	flock($file, 2);
	fwrite($file, $newfile);
	fclose($file);

}
?>